spring:
  redis:
    host: ${REDIS_HOST:127.0.0.1}
    port: ${REDIS_POST:6379}
  rabbitmq:
    host: ${RABBIT_HOST:localhost}
    port: ${RABBIT_PORT:5672}
  datasource:
      url: ${DB_HOST:jdbc:mysql://localhost:3306/social-network?characterEncoding=UTF-8}
      username: ${DB_USER:user}
      password: ${DB_PASS:password}
      hikari:
        poolName: Hikari
        auto-commit: false
        data-source-properties:
          minimumIdle: 10
          maximumPoolSize: 500
          cachePrepStmts: false
          prepStmtCacheSize: 250
          prepStmtCacheSqlLimit: 2048
          useServerPrepStmts: true


server:
  port: 8088

app:
  service:
    message: ${MESSAGE_URL:http://localhost:8089/api/v2}
  cors:
    allowed: http://localhost:4200,http://localhost:4200/